import { OnModuleDestroy, OnModuleInit } from '@nestjs/common';
import { DiscoveryService, MetadataScanner, Reflector } from '@nestjs/core';
export declare class CacheOnIntervalService implements OnModuleInit, OnModuleDestroy {
    private readonly discoveryService;
    private readonly metadataScanner;
    private readonly reflector;
    private readonly intervals;
    private readonly registeredCacheKeys;
    private logger;
    private cacheManager;
    constructor(discoveryService: DiscoveryService, metadataScanner: MetadataScanner, reflector: Reflector);
    onModuleInit(): void;
    onModuleDestroy(): void;
    private checkCacheConflicts;
    registerCache(instance: any, methodName: string): void;
}
